# ResolvableConfigurationsReportTask

API Documentation: | `ResolvableConfigurationsReportTask`

Note: This class is incubating and may change in a future version of Gradle.

A task which reports the configurations of a project which can be resolved on the command line. This is useful for determining which attributes are associated with the resolvable configurations being used to resolve a project's dependencies. The output can help predict which variant of each dependency will be resolved.

### Properties

Property | Description
`configurationName` | Incubating Limits the report to a single configuration.
`recursive` | Incubating Show all extended configurations, including transitively extended configurations.
`reports` | Incubating The reports to be generated by this task.
`showAll` | Incubating Shows all configurations, including legacy and deprecated configurations.

### Methods

Method | Description
`reports(configureAction)` | Allow configuration of the report container by closure.

### Script blocks

No script blocks

### Property details

#### ``Property`<`String`>` `configurationName`

Note: This property is incubating and may change in a future version of Gradle.

Limits the report to a single configuration.

#### ``Property`<`Boolean`>` `recursive`

Note: This property is incubating and may change in a future version of Gradle.

Show all extended configurations, including transitively extended configurations.

#### `ConfigurationReports` `reports` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The reports to be generated by this task.

#### ``Property`<`Boolean`>` `showAll`

Note: This property is incubating and may change in a future version of Gradle.

Shows all configurations, including legacy and deprecated configurations.

### Method details

#### `T` `reports`(``Action`<? super `T`>` configureAction)

Allow configuration of the report container by closure.

    reports {
      html {
        required false
      }
      xml.outputLocation = "build/reports/myReport.xml"
    }